> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 評価の削除

> 評価オブジェクトを削除します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json delete /v2/{entity}/{project}/evaluations/{object_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/evaluations/{object_id}:
    delete:
      tags:
        - Evaluations
      summary: 評価の削除
      description: 評価オブジェクトを削除します。
      operationId: evaluation_delete_v2__entity___project__evaluations__object_id__delete
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
        - in: path
          name: object_id
          required: true
          schema:
            title: Object Id
            type: string
        - description: 削除するダイジェストのリスト。指定しない場合、評価のすべてのダイジェストが削除されます。
          in: query
          name: digests
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: 削除するダイジェストのリスト。指定しない場合、評価のすべてのダイジェストが削除されます。
            title: Digests
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvaluationDeleteRes'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    EvaluationDeleteRes:
      properties:
        num_deleted:
          description: 削除された評価バージョン数
          title: Num Deleted
          type: integer
      required:
        - num_deleted
      title: EvaluationDeleteRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````